local RayUI, E, _, V, P, G = unpack(select(2, ...))
local RS = RayUI:NewModule('RayUISkins', 'AceHook-3.0', 'AceEvent-3.0', 'AceTimer-3.0')

local pcall = pcall

RS.preload = {}

function RS:RegisterSkinForPreload(addonName, skinFunc, addon1)
	RS.preload[addonName] = { func = skinFunc, addon = addon1 }
end

function RS:RunPreload(addonName)
	if RS.preload[addonName] then
		pcall(RS.preload[addonName].func, self, 'ADDON_LOADED', RS.preload[addonName].addon or addonName)
	end
end

function RS:Init(event, addon)
	if event == 'ADDON_LOADED' then
		self:RunPreload(addon)
	end
end

-- RayUI:RegisterModule(RS:GetName())
RS:RegisterEvent('ADDON_LOADED', 'Init')
RS:RegisterEvent('PLAYER_LOGIN', 'Init')
