local RayUI, E, _, V, P, G = unpack(select(2, ...))
local SS = RayUI:NewModule('RayUIScreenshot', 'AceEvent-3.0')

local C_Timer = C_Timer
local Screenshot = Screenshot

function SS:TakeScreenshot(event, ...)
    C_Timer.After(1, Screenshot)
end

function SS:Configure()
    if E.db.rayui.misc.autoScreenshot then
        self:RegisterEvent("ACHIEVEMENT_EARNED", "TakeScreenshot")
        self:RegisterEvent("SHOW_LOOT_TOAST_LEGENDARY_LOOTED", "TakeScreenshot")
    else
        self:UnregisterEvent("ACHIEVEMENT_EARNED")
        self:UnregisterEvent("SHOW_LOOT_TOAST_LEGENDARY_LOOTED")
    end
end

function SS:Initialize()
    self:Configure()
end

RayUI:RegisterModule(SS:GetName())
